org.apache.commons.io.file

## Class FilesUncheck

- java.lang.Object
- - org.apache.commons.io.file.FilesUncheck

-     public final class FilesUncheck
      extends Object

  Delegates to `Files` to uncheck calls by throwing `UncheckedIOException` instead of `IOException`.
  See Also:
    `Files`, `IOException`, `UncheckedIOException`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `copy(InputStream in, Path target, CopyOption... options)` Delegates to `Files.copy(InputStream, Path, CopyOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static long` | `copy(Path source, OutputStream out)` Delegates to `Files.copy(Path, OutputStream)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `copy(Path source, Path target, CopyOption... options)` Delegates to `Files.copy(Path, Path, CopyOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `createDirectories(Path dir, FileAttribute<?>... attrs)` Delegates to `Files.createDirectories(Path, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `createDirectory(Path dir, FileAttribute<?>... attrs)` Delegates to `Files.createDirectory(Path, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `createFile(Path path, FileAttribute<?>... attrs)` Delegates to `Files.createFile(Path, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `createLink(Path link, Path existing)` Delegates to `Files.createLink(Path, Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `createSymbolicLink(Path link, Path target, FileAttribute<?>... attrs)` Delegates to `Files.createSymbolicLink(Path, Path, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `createTempDirectory(Path dir, String prefix, FileAttribute<?>... attrs)` Delegates to `Files.createTempDirectory(Path, String, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `createTempDirectory(String prefix, FileAttribute<?>... attrs)` Delegates to `Files.createTempDirectory(String, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `createTempFile(Path dir, String prefix, String suffix, FileAttribute<?>... attrs)` Delegates to `Files.createTempFile(Path, String, String, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `createTempFile(String prefix, String suffix, FileAttribute<?>... attrs)` Delegates to `Files.createTempFile(String, String, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
    `static void` | `delete(Path path)` Delegates to `Files.delete(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static boolean` | `deleteIfExists(Path path)` Delegates to `Files.deleteIfExists(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static java.util.stream.Stream<Path>` | `find(Path start, int maxDepth, java.util.function.BiPredicate<Path,BasicFileAttributes> matcher, FileVisitOption... options)` Delegates to `Files.find(Path, int, BiPredicate, FileVisitOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Object` | `getAttribute(Path path, String attribute, LinkOption... options)` Delegates to `Files.getAttribute(Path, String, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static FileStore` | `getFileStore(Path path)` Delegates to `Files.getFileStore(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static FileTime` | `getLastModifiedTime(Path path, LinkOption... options)` Delegates to `Files.getLastModifiedTime(Path, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static UserPrincipal` | `getOwner(Path path, LinkOption... options)` Delegates to `Files.getOwner(Path, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Set<PosixFilePermission>` | `getPosixFilePermissions(Path path, LinkOption... options)` Delegates to `Files.getPosixFilePermissions(Path, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static boolean` | `isHidden(Path path)` Delegates to `Files.isHidden(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static boolean` | `isSameFile(Path path, Path path2)` Delegates to `Files.isSameFile(Path, Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static java.util.stream.Stream<String>` | `lines(Path path)` Delegates to `Files.lines(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static java.util.stream.Stream<String>` | `lines(Path path, Charset cs)` Delegates to `Files.lines(Path, Charset)` throwing `UncheckedIOException` instead of `IOException`.
    `static java.util.stream.Stream<Path>` | `list(Path dir)` Delegates to `Files.list(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `move(Path source, Path target, CopyOption... options)` Delegates to `Files.move(Path, Path, CopyOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static BufferedReader` | `newBufferedReader(Path path)` Delegates to `Files.newBufferedReader(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static BufferedReader` | `newBufferedReader(Path path, Charset cs)` Delegates to `Files.newBufferedReader(Path, Charset)` throwing `UncheckedIOException` instead of `IOException`.
    `static BufferedWriter` | `newBufferedWriter(Path path, Charset cs, OpenOption... options)` Delegates to `Files.newBufferedWriter(Path, Charset, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static BufferedWriter` | `newBufferedWriter(Path path, OpenOption... options)` Delegates to `Files.newBufferedWriter(Path, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static SeekableByteChannel` | `newByteChannel(Path path, OpenOption... options)` Delegates to `Files.newByteChannel(Path, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static SeekableByteChannel` | `newByteChannel(Path path, Set<? extends OpenOption> options, FileAttribute<?>... attrs)` Delegates to `Files.newByteChannel(Path, Set, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
    `static DirectoryStream<Path>` | `newDirectoryStream(Path dir)` Delegates to `Files.newDirectoryStream(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static DirectoryStream<Path>` | `newDirectoryStream(Path dir, DirectoryStream.Filter<? super Path> filter)` Delegates to `Files.newDirectoryStream(Path, java.nio.file.DirectoryStream.Filter)` throwing `UncheckedIOException` instead of `IOException`.
    `static DirectoryStream<Path>` | `newDirectoryStream(Path dir, String glob)` Delegates to `Files.newDirectoryStream(Path, String)` throwing `UncheckedIOException` instead of `IOException`.
    `static InputStream` | `newInputStream(Path path, OpenOption... options)` Delegates to `Files.newInputStream(Path, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static OutputStream` | `newOutputStream(Path path, OpenOption... options)` Delegates to `Files.newOutputStream(Path, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static String` | `probeContentType(Path path)` Delegates to `Files.probeContentType(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static byte[]` | `readAllBytes(Path path)` Delegates to `Files.readAllBytes(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static List<String>` | `readAllLines(Path path)` Delegates to `Files.readAllLines(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static List<String>` | `readAllLines(Path path, Charset cs)` Delegates to `Files.readAllLines(Path, Charset)` throwing `UncheckedIOException` instead of `IOException`.
    `static <A extends BasicFileAttributes> A` | `readAttributes(Path path, Class<A> type, LinkOption... options)` Delegates to `Files.readAttributes(Path, Class, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Map<String,Object>` | `readAttributes(Path path, String attributes, LinkOption... options)` Delegates to `Files.readAttributes(Path, String, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `readSymbolicLink(Path link)` Delegates to `Files.readSymbolicLink(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `setAttribute(Path path, String attribute, Object value, LinkOption... options)` Delegates to `Files.setAttribute(Path, String, Object, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `setLastModifiedTime(Path path, FileTime time)` Delegates to `Files.setLastModifiedTime(Path, FileTime)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `setOwner(Path path, UserPrincipal owner)` Delegates to `Files.setOwner(Path, UserPrincipal)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `setPosixFilePermissions(Path path, Set<PosixFilePermission> perms)` Delegates to `Files.setPosixFilePermissions(Path, Set)` throwing `UncheckedIOException` instead of `IOException`.
    `static long` | `size(Path path)` Delegates to `Files.size(Path)` throwing `UncheckedIOException` instead of `IOException`.
    `static java.util.stream.Stream<Path>` | `walk(Path start, FileVisitOption... options)` Delegates to `Files.walk(Path, FileVisitOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static java.util.stream.Stream<Path>` | `walk(Path start, int maxDepth, FileVisitOption... options)` Delegates to `Files.walk(Path, int, FileVisitOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `walkFileTree(Path start, FileVisitor<? super Path> visitor)` Delegates to `Files.walkFileTree(Path, FileVisitor)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `walkFileTree(Path start, Set<FileVisitOption> options, int maxDepth, FileVisitor<? super Path> visitor)` Delegates to `Files.walkFileTree(Path, Set, int, FileVisitor)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `write(Path path, byte[] bytes, OpenOption... options)` Delegates to `Files.write(Path, byte[], OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `write(Path path, Iterable<? extends CharSequence> lines, Charset cs, OpenOption... options)` Delegates to `Files.write(Path, Iterable, Charset, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
    `static Path` | `write(Path path, Iterable<? extends CharSequence> lines, OpenOption... options)` Delegates to `Files.write(Path, Iterable, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### copy

          public static long copy(InputStream in,
                                  Path target,
                                  CopyOption... options)

      Delegates to `Files.copy(InputStream, Path, CopyOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `in` - See delegate.
        `target` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.
      See Also:
        `Files.copy(InputStream, Path,CopyOption...)`

    - #### copy

          public static long copy(Path source,
                                  OutputStream out)

      Delegates to `Files.copy(Path, OutputStream)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `source` - See delegate. See delegate.
        `out` - See delegate. See delegate.
      Returns:
        See delegate. See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### copy

          public static Path copy(Path source,
                                  Path target,
                                  CopyOption... options)

      Delegates to `Files.copy(Path, Path, CopyOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `source` - See delegate.
        `target` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### createDirectories

          public static Path createDirectories(Path dir,
                                               FileAttribute<?>... attrs)

      Delegates to `Files.createDirectories(Path, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `dir` - See delegate.
        `attrs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### createDirectory

          public static Path createDirectory(Path dir,
                                             FileAttribute<?>... attrs)

      Delegates to `Files.createDirectory(Path, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `dir` - See delegate.
        `attrs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### createFile

          public static Path createFile(Path path,
                                        FileAttribute<?>... attrs)

      Delegates to `Files.createFile(Path, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `attrs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### createLink

          public static Path createLink(Path link,
                                        Path existing)

      Delegates to `Files.createLink(Path, Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `link` - See delegate.
        `existing` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### createSymbolicLink

          public static Path createSymbolicLink(Path link,
                                                Path target,
                                                FileAttribute<?>... attrs)

      Delegates to `Files.createSymbolicLink(Path, Path, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `link` - See delegate.
        `target` - See delegate.
        `attrs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### createTempDirectory

          public static Path createTempDirectory(Path dir,
                                                 String prefix,
                                                 FileAttribute<?>... attrs)

      Delegates to `Files.createTempDirectory(Path, String, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `dir` - See delegate.
        `prefix` - See delegate.
        `attrs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### createTempDirectory

          public static Path createTempDirectory(String prefix,
                                                 FileAttribute<?>... attrs)

      Delegates to `Files.createTempDirectory(String, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `prefix` - See delegate.
        `attrs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### createTempFile

          public static Path createTempFile(Path dir,
                                            String prefix,
                                            String suffix,
                                            FileAttribute<?>... attrs)

      Delegates to `Files.createTempFile(Path, String, String, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `dir` - See delegate.
        `prefix` - See delegate.
        `suffix` - See delegate.
        `attrs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### createTempFile

          public static Path createTempFile(String prefix,
                                            String suffix,
                                            FileAttribute<?>... attrs)

      Delegates to `Files.createTempFile(String, String, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `prefix` - See delegate.
        `suffix` - See delegate.
        `attrs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### delete

          public static void delete(Path path)

      Delegates to `Files.delete(Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### deleteIfExists

          public static boolean deleteIfExists(Path path)

      Delegates to `Files.deleteIfExists(Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### find

          public static java.util.stream.Stream<Path> find(Path start,
                                                           int maxDepth,
                                                           java.util.function.BiPredicate<Path,BasicFileAttributes> matcher,
                                                           FileVisitOption... options)

      Delegates to `Files.find(Path, int, BiPredicate, FileVisitOption...)` throwing `UncheckedIOException` instead of `IOException`.

      The returned `Stream` wraps a `DirectoryStream`. When you require timely disposal of file system resources, use a `try`-with-resources block to ensure invocation of the stream's `BaseStream.close()` method after the stream operations are completed.

      Parameters:
        `start` - See delegate.
        `maxDepth` - See delegate.
        `matcher` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### getAttribute

          public static Object getAttribute(Path path,
                                            String attribute,
                                            LinkOption... options)

      Delegates to `Files.getAttribute(Path, String, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `attribute` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### getFileStore

          public static FileStore getFileStore(Path path)

      Delegates to `Files.getFileStore(Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### getLastModifiedTime

          public static FileTime getLastModifiedTime(Path path,
                                                     LinkOption... options)

      Delegates to `Files.getLastModifiedTime(Path, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### getOwner

          public static UserPrincipal getOwner(Path path,
                                               LinkOption... options)

      Delegates to `Files.getOwner(Path, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### getPosixFilePermissions

          public static Set<PosixFilePermission> getPosixFilePermissions(Path path,
                                                                         LinkOption... options)

      Delegates to `Files.getPosixFilePermissions(Path, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### isHidden

          public static boolean isHidden(Path path)

      Delegates to `Files.isHidden(Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### isSameFile

          public static boolean isSameFile(Path path,
                                           Path path2)

      Delegates to `Files.isSameFile(Path, Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `path2` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### lines

          public static java.util.stream.Stream<String> lines(Path path)

      Delegates to `Files.lines(Path)` throwing `UncheckedIOException` instead of `IOException`.

      The returned `Stream` wraps a `Reader`. When you require timely disposal of file system resources, use a `try`-with-resources block to ensure invocation of the stream's `BaseStream.close()` method after the stream operations are completed.

      Parameters:
        `path` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### lines

          public static java.util.stream.Stream<String> lines(Path path,
                                                              Charset cs)

      Delegates to `Files.lines(Path, Charset)` throwing `UncheckedIOException` instead of `IOException`.

      The returned `Stream` wraps a `Reader`. When you require timely disposal of file system resources, use a `try`-with-resources block to ensure invocation of the stream's `BaseStream.close()` method after the stream operations are completed.

      Parameters:
        `path` - See delegate.
        `cs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### list

          public static java.util.stream.Stream<Path> list(Path dir)

      Delegates to `Files.list(Path)` throwing `UncheckedIOException` instead of `IOException`.

      The returned `Stream` wraps a `DirectoryStream`. When you require timely disposal of file system resources, use a `try`-with-resources block to ensure invocation of the stream's `BaseStream.close()` method after the stream operations are completed.

      Parameters:
        `dir` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### move

          public static Path move(Path source,
                                  Path target,
                                  CopyOption... options)

      Delegates to `Files.move(Path, Path, CopyOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `source` - See delegate.
        `target` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### newBufferedReader

          public static BufferedReader newBufferedReader(Path path)

      Delegates to `Files.newBufferedReader(Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### newBufferedReader

          public static BufferedReader newBufferedReader(Path path,
                                                         Charset cs)

      Delegates to `Files.newBufferedReader(Path, Charset)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `cs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### newBufferedWriter

          public static BufferedWriter newBufferedWriter(Path path,
                                                         Charset cs,
                                                         OpenOption... options)

      Delegates to `Files.newBufferedWriter(Path, Charset, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `cs` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### newBufferedWriter

          public static BufferedWriter newBufferedWriter(Path path,
                                                         OpenOption... options)

      Delegates to `Files.newBufferedWriter(Path, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### newByteChannel

          public static SeekableByteChannel newByteChannel(Path path,
                                                           OpenOption... options)

      Delegates to `Files.newByteChannel(Path, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### newByteChannel

          public static SeekableByteChannel newByteChannel(Path path,
                                                           Set<? extends OpenOption> options,
                                                           FileAttribute<?>... attrs)

      Delegates to `Files.newByteChannel(Path, Set, FileAttribute...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `options` - See delegate.
        `attrs` - See delegate.
      Returns:
        See delegate.
      Throws:
        `UncheckedIOException` - Wraps an `IOException`.

    - #### newDirectoryStream

          public static DirectoryStream<Path> newDirectoryStream(Path dir)

      Delegates to `Files.newDirectoryStream(Path)` throwing `UncheckedIOException` instead of `IOException`.

      If you don't use the try-with-resources construct, then you must call the stream's `BaseStream.close()` method after iteration is complete to free any resources held for the open directory.

      Parameters:
        `dir` - See delegate.
      Returns:
        See delegate.

    - #### newDirectoryStream

          public static DirectoryStream<Path> newDirectoryStream(Path dir,
                                                                 DirectoryStream.Filter<? super Path> filter)

      Delegates to `Files.newDirectoryStream(Path, java.nio.file.DirectoryStream.Filter)` throwing `UncheckedIOException` instead of `IOException`.

      If you don't use the try-with-resources construct, then you must call the stream's `BaseStream.close()` method after iteration is complete to free any resources held for the open directory.

      Parameters:
        `dir` - See delegate.
        `filter` - See delegate.
      Returns:
        See delegate.

    - #### newDirectoryStream

          public static DirectoryStream<Path> newDirectoryStream(Path dir,
                                                                 String glob)

      Delegates to `Files.newDirectoryStream(Path, String)` throwing `UncheckedIOException` instead of `IOException`.

      The returned `Stream` wraps a `DirectoryStream`. When you require timely disposal of file system resources, use a `try`-with-resources block to ensure invocation of the stream's `BaseStream.close()` method after the stream operations are completed.

      Parameters:
        `dir` - See delegate.
        `glob` - See delegate.
      Returns:
        See delegate.

    - #### newInputStream

          public static InputStream newInputStream(Path path,
                                                   OpenOption... options)

      Delegates to `Files.newInputStream(Path, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.

    - #### newOutputStream

          public static OutputStream newOutputStream(Path path,
                                                     OpenOption... options)

      Delegates to `Files.newOutputStream(Path, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.

    - #### probeContentType

          public static String probeContentType(Path path)

      Delegates to `Files.probeContentType(Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
      Returns:
        See delegate.

    - #### readAllBytes

          public static byte[] readAllBytes(Path path)

      Delegates to `Files.readAllBytes(Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
      Returns:
        See delegate.

    - #### readAllLines

          public static List<String> readAllLines(Path path)

      Delegates to `Files.readAllLines(Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
      Returns:
        See delegate.

    - #### readAllLines

          public static List<String> readAllLines(Path path,
                                                  Charset cs)

      Delegates to `Files.readAllLines(Path, Charset)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `cs` - See delegate.
      Returns:
        See delegate.

    - #### readAttributes

          public static <A extends BasicFileAttributes> A readAttributes(Path path,
                                                                         Class<A> type,
                                                                         LinkOption... options)

      Delegates to `Files.readAttributes(Path, Class, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Type Parameters:
        `A` - See delegate.
      Parameters:
        `path` - See delegate.
        `type` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.

    - #### readAttributes

          public static Map<String,Object> readAttributes(Path path,
                                                          String attributes,
                                                          LinkOption... options)

      Delegates to `Files.readAttributes(Path, String, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `attributes` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.

    - #### readSymbolicLink

          public static Path readSymbolicLink(Path link)

      Delegates to `Files.readSymbolicLink(Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `link` - See delegate.
      Returns:
        See delegate.

    - #### setAttribute

          public static Path setAttribute(Path path,
                                          String attribute,
                                          Object value,
                                          LinkOption... options)

      Delegates to `Files.setAttribute(Path, String, Object, LinkOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `attribute` - See delegate.
        `value` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.

    - #### setLastModifiedTime

          public static Path setLastModifiedTime(Path path,
                                                 FileTime time)

      Delegates to `Files.setLastModifiedTime(Path, FileTime)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `time` - See delegate.
      Returns:
        See delegate.

    - #### setOwner

          public static Path setOwner(Path path,
                                      UserPrincipal owner)

      Delegates to `Files.setOwner(Path, UserPrincipal)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `owner` - See delegate.
      Returns:
        See delegate.

    - #### setPosixFilePermissions

          public static Path setPosixFilePermissions(Path path,
                                                     Set<PosixFilePermission> perms)

      Delegates to `Files.setPosixFilePermissions(Path, Set)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `perms` - See delegate.
      Returns:
        See delegate.

    - #### size

          public static long size(Path path)

      Delegates to `Files.size(Path)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
      Returns:
        See delegate.

    - #### walk

          public static java.util.stream.Stream<Path> walk(Path start,
                                                           FileVisitOption... options)

      Delegates to `Files.walk(Path, FileVisitOption...)` throwing `UncheckedIOException` instead of `IOException`.

      The returned `Stream` may wrap one or more `DirectoryStream`s. When you require timely disposal of file system resources, use a `try`-with-resources block to ensure invocation of the stream's `BaseStream.close()` method after the stream operations are completed. Calling a closed stream causes a `IllegalStateException`.

      Parameters:
        `start` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.

    - #### walk

          public static java.util.stream.Stream<Path> walk(Path start,
                                                           int maxDepth,
                                                           FileVisitOption... options)

      Delegates to `Files.walk(Path, int, FileVisitOption...)` throwing `UncheckedIOException` instead of `IOException`.

      The returned `Stream` may wrap one or more `DirectoryStream`s. When you require timely disposal of file system resources, use a `try`-with-resources block to ensure invocation of the stream's `BaseStream.close()` method after the stream operations are completed. Calling a closed stream causes a `IllegalStateException`.

      Parameters:
        `start` - See delegate.
        `maxDepth` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.

    - #### walkFileTree

          public static Path walkFileTree(Path start,
                                          FileVisitor<? super Path> visitor)

      Delegates to `Files.walkFileTree(Path, FileVisitor)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `start` - See delegate.
        `visitor` - See delegate.
      Returns:
        See delegate.

    - #### walkFileTree

          public static Path walkFileTree(Path start,
                                          Set<FileVisitOption> options,
                                          int maxDepth,
                                          FileVisitor<? super Path> visitor)

      Delegates to `Files.walkFileTree(Path, Set, int, FileVisitor)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `start` - See delegate.
        `options` - See delegate.
        `maxDepth` - See delegate.
        `visitor` - See delegate.
      Returns:
        See delegate.

    - #### write

          public static Path write(Path path,
                                   byte[] bytes,
                                   OpenOption... options)

      Delegates to `Files.write(Path, byte[], OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `bytes` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.

    - #### write

          public static Path write(Path path,
                                   Iterable<? extends CharSequence> lines,
                                   Charset cs,
                                   OpenOption... options)

      Delegates to `Files.write(Path, Iterable, Charset, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `lines` - See delegate.
        `cs` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.

    - #### write

          public static Path write(Path path,
                                   Iterable<? extends CharSequence> lines,
                                   OpenOption... options)

      Delegates to `Files.write(Path, Iterable, OpenOption...)` throwing `UncheckedIOException` instead of `IOException`.
      Parameters:
        `path` - See delegate.
        `lines` - See delegate.
        `options` - See delegate.
      Returns:
        See delegate.